import {
  a as n,
  c as a
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/python-repl.js
var e = a((o, s) => {
  function t(i) {
    return {
      aliases: ["pycon"],
      contains: [
        {
          className: "meta",
          starts: {
            // a space separates the REPL prefix from the actual code
            // this is purely for cleaner HTML output
            end: / |$/,
            starts: {
              end: "$",
              subLanguage: "python"
            }
          },
          variants: [
            {
              begin: /^>>>(?=[ ]|$)/
            },
            {
              begin: /^\.\.\.(?=[ ]|$)/
            }
          ]
        }
      ]
    };
  }
  n(t, "pythonRepl");
  s.exports = t;
});

export {
  e as a
};
